## dleyna-renderer 0.7.2

=== meson_options.txt ===
option('log_level', type: 'array', choices : ['0', '1', '2', '3', '4', '5', '6', '7', '8'], value : ['7'])
option('never_quit', type: 'boolean', value: 'false')
option('connector', type: 'string', value: 'dbus')
option('connector_lib_pattern', type: 'string', value: 'libdleyna-connector-')
option('user_agent_prefix', type: 'string', value: '')
option('dbus_service_dir', type: 'string', value: 'none')
option('log_type', type: 'combo', choices: ['syslog', 'glib'], value: 'syslog')
option('build_server', type: 'boolean', value: 'true')
option('server_object', type: 'string', value: '/com/intel/dLeynaRenderer')
option('server_path', type: 'string', value: '/com/intel/dLeynaRenderer/server')
option('server_name', type: 'string', value: 'com.intel.dleyna-renderer')
option('interface_manager', type: 'string', value: 'com.intel.dLeynaRenderer.Manager')
option('interface_renderer_device', type: 'string', value: 'com.intel.dLeynaRenderer.RendererDevice')
option('interface_push_host', type: 'string', value: 'com.intel.dLeynaRenderer.PushHost')
option('man_pages', type: 'boolean', value: 'true')

## dleyna-renderer 0.1.1

=== debian/changelog ===
dleyna-renderer (0.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #710236)

 -- Emanuele Aina <emanuele.aina@collabora.com>  Wed, 22 May 2013 10:01:22 +0100

=== debian/control ===
Source: dleyna-renderer
Section: net
Priority: optional
Maintainer: Emanuele Aina <emanuele.aina@collabora.com> 
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libglib2.0-dev,
               libgssdp-1.0-dev (>= 0.13.2),
               libgupnp-1.0-dev (>= 0.20.3),
               libgupnp-av-1.0-dev (>= 0.11.5),
               libgupnp-dlna-2.0-dev (>= 0.9.4),
               libsoup2.4-dev,
               libdleyna-core-1.0-dev (>= 0.0.2)
Standards-Version: 3.9.4
Homepage: https://01.org/dleyna/
Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-dleyna-renderer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pkg-dleyna-renderer.git;a=summary

Package: dleyna-renderer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdleyna-connector-dbus-1.0-1
Pre-Depends: ${misc:Pre-Depends}
Description: DBus service to interact with DLNA Digital Media Renderers
 dleyna-renderer is a DBus user session service that allows clients to
 discover and manipulate DLNA Digital Media Renderers (DMR).
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.

Package: dleyna-renderer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: dleyna-renderer (= ${binary:Version}),
         ${misc:Depends}
Description: DBus service to interact with DLNA Digital Media Renderers (debug files)
 dleyna-renderer is a DBus user session service that allows clients to
 discover and manipulate DLNA Digital Media Renderers (DMR).
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=/usr/lib/dleyna-renderer

override_dh_strip:
	dh_strip --dbg-package=dleyna-renderer-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_install:
	dh_install --list-missing

## dleyna-renderer 0.4.0

=== debian/changelog ===
dleyna-renderer (0.4.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:45 +0000

dleyna-renderer (0.4.0-1) unstable; urgency=low

  [ Ludovic Ferrandis ]
  * Update to 0.1.3.
    + Ship the internal library in a private directory
    + Fix bug in UPnP introspection
    + Use object paths in LostRenderer, FoundRenderer and GetRenderers()

  * Enabled verbose logs to let blhc check for hardening flags

  [ Emanuele Aina ]
  * New upstream release.
    + Bugfixes.
    + MPRIS OpenUri() now tells the renderer to start playing
    + Add SetUri() method to do what OpenUri() previously did
    + Add OpenNextUri() method
    + Update following the publish_object() connector API change
    + Enable Seek() by bytes
    + Return object paths in GetRenderers(), LostRenderer() and FoundRenderer()
      as documented
    + Add Network Filtering support
    + Add 'NeverQuit' property to Manager
  * Bump Standards-Version to 3.9.5 (no changes).

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el

 -- Emanuele Aina <emanuele.aina@collabora.com>  Mon, 30 Dec 2013 13:57:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: dleyna-renderer
 Section: net
 Priority: optional
-Maintainer: Emanuele Aina <emanuele.aina@collabora.com> 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Emanuele Aina <emanuele.aina@collabora.com>
+Uploaders: Ludovic Ferrandis <ludovic.ferrandis@intel.com>
 Build-Depends: debhelper (>= 9),
-               autotools-dev,
+               dh-autoreconf,
                libglib2.0-dev,
                libgssdp-1.0-dev (>= 0.13.2),
-               libgupnp-1.0-dev (>= 0.20.3),
+               libgupnp-1.0-dev (>= 0.20.5),
                libgupnp-av-1.0-dev (>= 0.11.5),
                libgupnp-dlna-2.0-dev (>= 0.9.4),
                libsoup2.4-dev,
-               libdleyna-core-1.0-dev (>= 0.0.2)
-Standards-Version: 3.9.4
+               libdleyna-core-1.0-dev (>= 0.4.0)
+Standards-Version: 3.9.5
 Homepage: https://01.org/dleyna/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-dleyna-renderer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pkg-dleyna-renderer.git;a=summary
@@ -20,8 +22,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libdleyna-connector-dbus-1.0-1
-Pre-Depends: ${misc:Pre-Depends}
+         libdleyna-connector-dbus-1.0-1 (>= 0.2.0)
 Description: DBus service to interact with DLNA Digital Media Renderers
  dleyna-renderer is a DBus user session service that allows clients to
  discover and manipulate DLNA Digital Media Renderers (DMR).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=/usr/lib/dleyna-renderer \
	    --disable-silent-rules

override_dh_strip:
	dh_strip --dbg-package=dleyna-renderer-dbg

override_dh_makeshlibs:
	# we only ship our shared library in a private location

override_dh_install:
	dh_install --list-missing

## dleyna-renderer 0.6.0

=== debian/changelog ===
dleyna-renderer (0.6.0-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 10:44:42 +0100

dleyna-renderer (0.6.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:30:36 +0000

dleyna-renderer (0.6.0-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable
  * Bump debhelper compatibility to 12
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Drop -dbg package and rely on the -dbgsym one
  * debian/rules: Delete useless .la file
  * debian/rules: Drop explicit --libexecdir option passed to the configure,
    rely on the default, the executable will now be installed in /usr/libexec
  * debian/control: Bump the libdleyna-connector-dbus-1.0-1 dependency so we
    match the last released version
  * debian/control: Update the Vcs-* fields

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Jan 2020 14:34:01 +0100

dleyna-renderer (0.6.0-1) experimental; urgency=medium

  * QA Upload.
  * New upstream release
  * Bump dleyna-core build-dep according to configure.ac
  * Add patches from https://github.com/intel/dleyna-renderer/pull/167
    - 1ce12ff6758d9a12cfa9c12e81dc5f0043b64e80.patch
    - 4bcd564d4ecb33ef6f4a32d78bdfaa2a2743b910.patch
    - 42a44112ba39857cbe7c4c54bb40b73444c23088.patch
    - 3ec187aa93cb4886ed795c7b0256bd7ba30ef69d.patch
  * Also add debian/patches/dleyna-core-task-pro.patch
    - help find task-processor.h from dleyna-core
  * Update build-deps for gssdp 1.2 and gupnp 1.2
  * Set Maintainer to Debian QA Group (see #873736)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Oct 2019 22:46:33 +0200

=== debian/control ===
Source: dleyna-renderer
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libgssdp-1.2-dev,
               libgupnp-1.2-dev,
               libgupnp-av-1.0-dev (>= 0.11.5),
               libgupnp-dlna-2.0-dev (>= 0.9.4),
               libsoup2.4-dev,
               libdleyna-core-1.0-dev (>= 0.6.0)
Standards-Version: 4.6.0
Homepage: https://01.org/dleyna/
Vcs-Git: https://salsa.debian.org/debian/dleyna-renderer.git
Vcs-Browser: https://salsa.debian.org/debian/dleyna-renderer

Package: dleyna-renderer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdleyna-connector-dbus-1.0-1 (>= 0.3.0)
Description: DBus service to interact with DLNA Digital Media Renderers
 dleyna-renderer is a DBus user session service that allows clients to
 discover and manipulate DLNA Digital Media Renderers (DMR).
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.

=== debian/watch ===
version=4
https://01.org/dleyna/downloads .*/dleyna-renderer-(\d[\d\.]*)\.tar\.gz

## dleyna-renderer 0.7.2

=== debian/changelog ===
dleyna-renderer (0.7.2-1) unstable; urgency=medium

  * QA upload.
  * debian/watch: Follow phakos fork on github
    - Intel has discontinued the project.
  * debian/gbp.conf: Add with pristine-tar and upstream-vcs-tag
  * New upstream release.
  * Add meson build-dependency
  * debian/patches: Drop all, now part of upstream release
  * debian/rules: drop override_dh_auto_configure
  * Add docbook-xsl and xsltproc build-deps

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Oct 2022 18:46:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
+               meson,
+               docbook-xsl,
+               xsltproc,
                libglib2.0-dev,
                libgssdp-1.2-dev,
                libgupnp-1.2-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='dleyna-renderer-dbg (<< 0.6.0-2~)'

override_dh_makeshlibs:
	# we only ship our shared library in a private location

override_dh_install:
	find debian/dleyna-renderer -name '*.la' -print -delete
	dh_install

=== debian/watch ===
version=4
opts="\
	dversionmangle=s/\+dfsg.*$//,\
	filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/dleyna-renderer-$1\.tar\.gz/,\
	repack,repacksuffix=+dfsg,\
" \
https://github.com/phako/dleyna-renderer/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
